astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- asdf v1.3.3 »
- CustomType

# CustomType

class `asdf.``CustomType`

  Bases: `asdf.asdftypes.ExtensionType`

  Base class for all user-defined types. Unlike classes that inherit AsdfType, classes that inherit this class will not automatically be added to the list of built-ins. This should be used for user-defined extensions.

  Attributes Summary

  `has_required_modules` |
  `supported_versions` |
  `types` |
  `version` |

  Attributes Documentation

  `has_required_modules` = True
  `supported_versions` = []
  `types` = []
  `version` = Version('1.0.0')